Loading...
Searching...
No Matches
Catch::SimplePcg32 Class Reference

`#include <catch_amalgamated.hpp>`

## Public Types

using | result_type = std::uint32_t

## Public Member Functions

| SimplePcg32 ()
| SimplePcg32 (result_type seed_)
void | seed (result_type seed_)
void | discard (uint64_t skip)
result_type | operator() ()

## Static Public Member Functions

static constexpr result_type | min ()
static constexpr result_type | max ()

## Private Types

using | state_type = std::uint64_t

## Private Attributes

std::uint64_t | m_state

## Static Private Attributes

static const std::uint64_t | s_inc = (0x13ed0cc53f939476ULL << 1ULL) | 1ULL

## Friends

bool | operator== (SimplePcg32 const &lhs, SimplePcg32 const &rhs)
bool | operator!= (SimplePcg32 const &lhs, SimplePcg32 const &rhs)

## Member Typedef Documentation

## result_type

using Catch::SimplePcg32::result_type = std::uint32_t

## state_type

using Catch::SimplePcg32::state_type = std::uint64_t

private

## Constructor & Destructor Documentation

## SimplePcg32() [1/2]

Catch::SimplePcg32::SimplePcg32 | ( |  | ) |

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## SimplePcg32() [2/2]

Catch::SimplePcg32::SimplePcg32 | ( | result_type | seed_ | ) |

explicit

Here is the call graph for this function:

## Member Function Documentation

## discard()

void Catch::SimplePcg32::discard | ( | uint64_t | skip | ) |

## max()

static constexpr result_type Catch::SimplePcg32::max | ( |  | ) |

inlinestaticconstexpr

Here is the call graph for this function:
Here is the caller graph for this function:

## min()

static constexpr result_type Catch::SimplePcg32::min | ( |  | ) |

inlinestaticconstexpr

Here is the call graph for this function:
Here is the caller graph for this function:

## operator()()

SimplePcg32::result_type Catch::SimplePcg32::operator() | ( |  | ) |

## seed()

void Catch::SimplePcg32::seed | ( | result_type | seed_ | ) |

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | SimplePcg32 const & | lhs,
|  | SimplePcg32 const & | rhs )

friend

## operator==

bool operator== | ( | SimplePcg32 const & | lhs,
|  | SimplePcg32 const & | rhs )

friend

## Member Data Documentation

## m_state

std::uint64_t Catch::SimplePcg32::m_state

private

## s_inc

const std::uint64_t Catch::SimplePcg32::s_inc = (0x13ed0cc53f939476ULL << 1ULL) | 1ULL

staticprivate

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp